Name:           ocaml-calendar
Version:        2.04
Release:        19
Summary:        An Objective Caml library for handling dates and times
License:        LGPLv2
URL:            http://calendar.forge.ocamlcore.org/
Source0:        https://download.ocamlcore.org/calendar/calendar/%{version}/calendar-%{version}.tar.gz

Patch0001:      calendar-2.03.2-enable-debug.patch

BuildRequires:  gawk ocaml >= 4.00.1 ocaml-findlib-devel >= 1.3.3-3 ocaml-ocamldoc

%description
The Calendar Library (Calendar for short) is an Objective Caml library for handling dates and times
in your program.

Calendar mainly implements 3 datatypes:
Date: year/month/day with support for under-specified dates "year/month" or "year" only and support
for Gregorian and Julian calendar
Time: hour/minute/second with support for time zones
Calendar: Date + Time

Seconds can be either integers or floats (different implementations are provided). The library also
comes with:
Printers and parsers
Period: an interval between two dates or two times or two calendars

%package        devel
Summary:        Development documents for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The package provides libraries and some other development documents for developing applications
that use %{name}.

%prep
%autosetup -p1 -n calendar-%{version}

%build
%configure --libdir=%{_libdir}
make
make doc

%install
export DESTDIR=$RPM_BUILD_ROOT OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml
install -d $OCAMLFIND_DESTDIR/stublibs
make install

%files
%doc CHANGES COPYING LGPL README TODO calendarFAQ-2.6.txt doc/*
%{_libdir}/ocaml/calendar
%exclude %{_libdir}/ocaml/calendar/*.{cmx,mli}

%files devel
%{_libdir}/ocaml/calendar/*.{cmx,mli}

%changelog
* Tue Nov 22 2022 xu_ping<xuping33@h-partners.com> - 2.04-19
- Modify invalid source

* Wed Feb 26 2020 zhouyihang<zhouyihang1@huawei.com> - 2.04-18
- Package init
